<template>
  <div id="app">
    <SelectMonth v-model="selectedMonth" />
    <SelectDayOfWeek v-model="selectedDayOfweek" />
    <Calendar
      v-bind:month="selectedMonth"
      v-bind:selectedDayOfweek="selectedDayOfweek"
    />
  </div>
</template>

<script>
import Calendar from "./components/Calendar.vue";
import SelectMonth from "./components/SelectMonth.vue";
import SelectDayOfWeek from "./components/SelectDayOfWeek.vue";

export default {
  name: "App",
  components: {
    Calendar,
    SelectMonth,
    SelectDayOfWeek
  },
  data: function() {
    return {
      selectedMonth: null,
      selectedDayOfweek: null
    };
  }
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 20px;
}
</style>
